<template>
  <div class="ttyf-container">
    <Goods class="margin-top-30"
           :subtitle="'推荐'"
           :products="recommendedProduct"
           @funJump="funJump"/>
  </div>
</template>

<script>
import Goods from '../index/child/goods'

export default {
  name: 'index',
  components: {
    Goods
  },
  data () {
    return {}
  },
  computed: {
    recommendedProduct () {
      return this.$store.state.loan.recommendedProduct
    }
  },
  async mounted () {
    await this.$nextTick()
    this.$refreshTitle('贷款')
  },
  methods: {
    funJump (item) {
      this.$router.push({ name: 'loanExplain', params: { orderProductId: item.id } })
    }
  }
}
</script>

<style lang="scss" scoped>
.ttyf-container {
  padding-top: 24px;
}
</style>
